Name:          libvoikko
Version:       4.3.1
Release:       1mamba
Summary:       A library for spellcheckers and hyphenators in Finnish language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://voikko.sourceforge.net/
Source:        http://www.puimula.org/voikko-sources/libvoikko/libvoikko-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libmalaga-devel
BuildRequires: libhfstospell-devel
BuildRequires: suomi-malaga-vokkio >= 1.12
Requires:      suomi-malaga-vokkio >= 1.12

%description
This is libvoikko, library for spellcheckers and hyphenators using Malaga natural language grammar development tool. The library is written in C.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is libvoikko, library for spellcheckers and hyphenators using Malaga natural language grammar development tool. The library is written in C.
This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
This is libvoikko, library for spellcheckers and hyphenators using Malaga natural language grammar development tool. The library is written in C.
This package contains static libraries need for development.

%package        tools
Group:          Applications/Text
Summary:        Test tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description   tools
This is libvoikko, library for spellcheckers and hyphenators using Malaga natural language grammar development tool. The library is written in C.
This package contains tools for testing libvoikko. 

%debug_package

%prep
%setup -q

%build
# The files path must be the same where malaga-suomi-voikko is installed
%configure --with-dictionary-path=%{_libdir}/voikko
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libvoikko
%{_includedir}/libvoikko/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README

%files static
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la

%files tools
%defattr(-,root,root)
%{_bindir}/voikkospell
%{_bindir}/voikkohyphenate
%{_bindir}/voikkogc
%{_bindir}/voikkovfstc
%{_mandir}/man1/voikko*.1*

%changelog
* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8-1mamba
- update to 3.8

* Mon Sep 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5-1mamba
- update to 3.5

* Fri Apr 01 2011 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic update by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update by autodist

* Mon Feb 02 2009 gil <puntogil@libero.it> 2.0-1mamba
- package created by autospec
